package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.dto.OrderUserLogDto;
import com.hc.business.dto.OrdersAllUserDto;
import com.hc.business.model.OrderUserLog;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * (OrderUserLog)表服务接口
 *
 * @author java
 * @since 2020-12-03 09:25:09
 */

@Component
public interface OrderUserLogService {

    /**
     * 通过ID查询单条数据
     *
     * @param orderLogId 主键
     * @return 实例对象
     */
    OrderUserLog queryById(Integer orderLogId);

    /**
     * 新增数据
     *
     * @param orderUserLog 实例对象
     * @return 实例对象
     */
    OrderUserLog insert(OrderUserLog orderUserLog);

    /**
     * 依据订单id查询订单详情
     *
     * @param orderId
     * @return
     */
    List<OrderUserLog> queryListByOrderId(Integer orderId);

    /**
     * 修改数据
     *
     * @param orderUserLog 实例对象
     * @return 实例对象
     */
    OrderUserLog update(OrderUserLog orderUserLog);

    /**
     * 通过主键删除数据
     *
     * @param orderLogId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer orderLogId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 依据订单id查询订单详情
     *
     * @param orderId
     * @return
     */
    List<OrderUserLogDto> queryUserLogByOrderId(Integer orderId);

    List<OrdersAllUserDto> queryAllOrdersUser(Integer orderId, String orderNo, Integer status, Integer payType,Integer isPay, Integer classId, Long begin, Long end);

}